import React from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare const DefaultDivider: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const DefaultDividerContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export interface DividerProps {
    StyledDivider?: StyledSubcomponentType;
    StyledDividerContainer?: StyledSubcomponentType;
    dividerProps?: SubcomponentPropsType;
    dividerContainerProps?: SubcomponentPropsType;
    width?: string;
    height?: string;
    containerRef?: React.RefObject<HTMLDivElement>;
    dividerRef?: React.RefObject<HTMLHRElement>;
}
declare const Divider: {
    ({ StyledDivider, StyledDividerContainer, dividerProps, dividerContainerProps, width, height, containerRef, dividerRef, }: DividerProps): JSX.Element;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Divider: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Divider;
//# sourceMappingURL=Divider.d.ts.map