import React from 'react';
import { ContainerProps, HandleProps, HandleLabelProps, RangeSliderProps, DomainLabelProps } from './types';
export declare const Container: import("styled-components").StyledComponent<"div", any, ContainerProps, never>;
export declare const DragHandle: import("styled-components").StyledComponent<import("@react-spring/web").AnimatedComponent<"div">, any, HandleProps, never>;
export declare const HandleLabel: import("styled-components").StyledComponent<"div", any, HandleLabelProps, never>;
export declare const SlideRail: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const SelectedRangeRail: import("styled-components").StyledComponent<import("@react-spring/web").AnimatedComponent<"div">, any, {}, never>;
export declare const DomainLabel: import("styled-components").StyledComponent<"div", any, DomainLabelProps, never>;
export declare const Marker: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const MarkerLabel: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const RangeSlider: {
    ({ StyledContainer, StyledDragHandle, StyledHandleLabel, StyledSlideRail, StyledSelectedRangeRail, StyledDomainLabel, StyledMarker, StyledMarkerLabel, containerProps, dragHandleProps, handleLabelProps, slideRailProps, selectedRangeRailProps, domainLabelProps, markerProps, markerLabelProps, containerRef, dragHandleRef, slideRailRef, handleLabelRef, selectedRangeRailRef, domainLabelRef, markerRef, markerLabelRef, showDomainLabels, showSelectedRange, showHandleLabels, springOnRelease, animated, debounceInterval, onDrag, onChange, onDebounceChange, onRelease, disabled, readonly, min, max, values, markers, testId, dragHandleAttachment, }: RangeSliderProps): JSX.Element | null;
    Container: import("styled-components").StyledComponent<"div", any, ContainerProps, never>;
    DragHandle: import("styled-components").StyledComponent<import("@react-spring/web").AnimatedComponent<"div">, any, HandleProps, never>;
    HandleLabel: import("styled-components").StyledComponent<"div", any, HandleLabelProps, never>;
    SlideRail: import("styled-components").StyledComponent<"div", any, {}, never>;
    SelectedRangeRail: import("styled-components").StyledComponent<import("@react-spring/web").AnimatedComponent<"div">, any, {}, never>;
    DomainLabel: import("styled-components").StyledComponent<"div", any, DomainLabelProps, never>;
    Marker: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    MarkerLabel: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default RangeSlider;
//# sourceMappingURL=RangeSlider.d.ts.map