import React from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare const movingGradient: import("styled-components").Keyframes;
export declare const animation: import("styled-components").FlattenSimpleInterpolation;
export declare type SkeletonProps = {
    StyledContainer?: StyledSubcomponentType;
    StyledShimmer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    shimmerProps?: SubcomponentPropsType;
    containerRef?: React.RefObject<HTMLElement>;
    shimmerRef?: React.RefObject<HTMLElement>;
    children?: React.ReactNode;
    color?: string;
    isLoading?: boolean;
    animatedShimmer?: boolean;
};
declare const Skeleton: {
    ({ StyledContainer, StyledShimmer, containerProps, shimmerProps, containerRef, shimmerRef, children, color, isLoading, animatedShimmer, }: SkeletonProps): JSX.Element | null;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Shimmer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Skeleton;
//# sourceMappingURL=Skeleton.d.ts.map