import React, { ReactNode, RefObject } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare const TextContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export interface TextProps {
    children?: ReactNode;
    color?: string;
    iconPrefix?: string | JSX.Element;
    iconSuffix?: string | JSX.Element;
    isLoading?: boolean;
    isProcessing?: boolean;
    size?: string;
    StyledSkeletonContainer?: StyledSubcomponentType;
    StyledContainer?: StyledSubcomponentType;
    StyledIconContainer?: StyledSubcomponentType;
    containerProps?: SubcomponentPropsType;
    iconContainerProps?: SubcomponentPropsType;
    skeletonProps?: SubcomponentPropsType;
    containerRef?: RefObject<HTMLDivElement>;
    iconPrefixContainerRef?: RefObject<HTMLElement>;
    iconSuffixContainerRef?: RefObject<HTMLElement>;
    skeletonRef?: RefObject<HTMLElement>;
    shimmerRef?: RefObject<HTMLElement>;
}
declare const Text: {
    ({ children, color, iconPrefix, iconSuffix, isLoading, isProcessing, size, StyledContainer, StyledIconContainer, containerProps, iconContainerProps, skeletonProps, containerRef, iconPrefixContainerRef, iconSuffixContainerRef, skeletonRef, shimmerRef, }: TextProps): JSX.Element;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    IconContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Text;
//# sourceMappingURL=Text.d.ts.map