import React, { RefObject } from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
import variants from '../../enums/variants';
export declare const Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {
    type: string;
}, "type">;
export declare const Handle: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
declare const Toggle: {
    ({ color, StyledContainer, StyledHandle, StyledInput, containerProps, handleProps, inputProps, variant, checked, disabled, onToggle, containerRef, handleRef, inputRef, }: {
        color?: string | undefined;
        StyledContainer?: import("styled-components").StyledComponentBase<any, any, {}, never> | React.FC<any> | ((props: any) => JSX.Element) | undefined;
        StyledHandle?: import("styled-components").StyledComponentBase<any, any, {}, never> | React.FC<any> | ((props: any) => JSX.Element) | undefined;
        StyledInput?: import("styled-components").StyledComponentBase<any, any, {}, never> | React.FC<any> | ((props: any) => JSX.Element) | undefined;
        StyledIcon?: import("styled-components").StyledComponentBase<any, any, {}, never> | React.FC<any> | ((props: any) => JSX.Element) | undefined;
        containerProps?: Record<string, unknown> | undefined;
        handleProps?: Record<string, unknown> | undefined;
        inputProps?: Record<string, unknown> | undefined;
        iconProps?: Record<string, unknown> | undefined;
        variant?: variants | undefined;
        checked?: boolean | undefined;
        disabled?: boolean | undefined;
        onToggle?: ((event: React.MouseEvent) => void) | undefined;
        containerRef?: React.RefObject<HTMLLabelElement> | undefined;
        handleRef?: React.RefObject<HTMLDivElement> | undefined;
        inputRef?: React.RefObject<HTMLInputElement> | undefined;
    }): JSX.Element;
    Handle: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {
        type: string;
    }, "type">;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Toggle;
//# sourceMappingURL=Toggle.d.ts.map