import React from 'react';
import { SubcomponentPropsType, StyledSubcomponentType } from '../commonTypes';
export declare const DefaultStyledLabel: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const DefaultStyledTextContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const DefaultStyledLabelContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export interface LabelProps {
    StyledLabelContainer?: StyledSubcomponentType;
    StyledTextContainer?: StyledSubcomponentType;
    StyledLabel?: StyledSubcomponentType;
    StyledIconContainer?: StyledSubcomponentType;
    labelContainerProps?: SubcomponentPropsType;
    textContainerProps?: SubcomponentPropsType;
    labelProps?: SubcomponentPropsType;
    iconContainerProps?: SubcomponentPropsType;
    labelContainerRef?: React.RefObject<HTMLDivElement>;
    textContainerRef?: React.RefObject<HTMLDivElement>;
    iconContainerRef?: React.RefObject<HTMLSpanElement>;
    labelRef?: React.RefObject<HTMLLabelElement>;
    labelText?: string;
    color?: string;
    isValid?: boolean;
    colorValid?: string;
    colorInvalid?: string;
    htmlFor?: string;
    isRequired?: boolean;
    children?: React.ReactNode;
}
declare const Label: {
    ({ StyledLabelContainer, StyledTextContainer, StyledLabel, StyledIconContainer, labelContainerProps, textContainerProps, labelProps, iconContainerProps, labelContainerRef, textContainerRef, iconContainerRef, labelRef, labelText, color, isValid, colorValid, colorInvalid, htmlFor, isRequired, children, }: LabelProps): JSX.Element;
    LabelContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    TextContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Label: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    IconContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
};
export default Label;
//# sourceMappingURL=Label.d.ts.map