import React from 'react';
import { SortDirection, TableProps } from './types';
export declare const TableContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Header: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const HeaderCell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Footer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const FooterCell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const ResponsiveHeaderCell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Row: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const GroupRow: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
export declare const Cell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
/** Accepts the `$direction` prop of type `SortDirection` */
export declare const SortIcon: import("styled-components").StyledComponent<React.FunctionComponent<import("@mdi/react/dist/IconProps").IconProps>, any, {
    $direction?: boolean | SortDirection | null | undefined;
}, never>;
export declare const ExpansionIconColumnName = "__EXPANSION_COLUMN__";
declare const Table: {
    ({ columnGap, columns, areGroupsCollapsible, data, defaultSort, groupHeaderPosition, expansionIconComponent, minWidthBreakpoint, sortGroups, StyledCell, StyledContainer, StyledGroupLabelRow, StyledHeader, StyledHeaderCell, StyledResponsiveHeaderCell, StyledRow, StyledFooter, StyledFooterCell, StyledCellContainer, cellProps, containerProps, groupLabelRowProps, headerProps, headerCellProps, responsiveHeaderCellProps, rowProps, containerRef, groupLabelRowRef, headerRef, }: TableProps): JSX.Element;
    Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Header: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    HeaderCell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Row: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    GroupRow: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    Cell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    /**
     * @deprecated use Table.ResponsiveTitle
     */
    Title: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    ResponsiveHeaderCell: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    CellContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<any>, any, {}, never>;
    ExpansionIconColumnName: string;
    SortDirection: typeof SortDirection;
};
export default Table;
//# sourceMappingURL=Table.d.ts.map