import React from 'react';
export declare const useStateWithPrevious: <Type>(defaultValue: Type) => [Type, Type, React.Dispatch<Type>];
export declare type SizeObserverOptions = {
    target?: HTMLElement | Element;
};
export declare const useWindowSizeObserver: (reportInterval?: number, resizeEndReportDelay?: number, options?: SizeObserverOptions | undefined) => {
    width: number;
    height: number;
    previousWidth: number;
    previousHeight: number;
    isResizing: boolean;
};
export declare type ScrollObserverOptions = {
    target?: HTMLElement | Element;
};
export declare const useScrollObserver: (reportInterval?: number, scrollEndReportDelay?: number, options?: ScrollObserverOptions | undefined) => {
    scrollX: number;
    scrollY: number;
    previousScrollX: number;
    previousScrollY: number;
    isScrolling: boolean;
};
//# sourceMappingURL=hooks.d.ts.map